# BEGIN SourceDeps(oneline):
BuildRequires: perl(FileHandle.pm)
# END SourceDeps(oneline)
BuildRequires: /usr/bin/ps2pdf
Summary:        Random number generator tester and timer
Name:           dieharder
Version:        3.31.1
Release:        alt1_7
License:        GPLv2+
Group:          Development/Tools
Source0:        http://www.phy.duke.edu/~rgb/General/%{name}/%{name}-%{version}.tgz
URL:            http://www.phy.duke.edu/~rgb/General/dieharder.php

Requires:       gsl
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

# Needed for building manual
%if 0%{?rhel}==5
BuildRequires: /usr/bin/latex texlive-latex-recommended
%else
BuildRequires:  texlive-latex-recommended
%endif
BuildRequires:  latex2html

BuildRequires:  libgsl-devel
Source44: import.info


%description 
dieharder is a fairly involved random number/uniform deviate generator
tester.  It can either test any of its many prebuilt and linked
generators (basically all of those in the Gnu Scientific Library plus
some others) or a potentially random data-set in a file.  With file
input, it can manage either a variety of ASCII-formatted input or a raw
binary bit string.  It is thus suitable for use in testing both software
RNG's and hardware RNG's.

dieharder does all of its work with a standalone, extensible library,
libdieharder. Therefore its tests can be integrated into other programs.

dieharder encapsulates following random number tests: George Marsaglia's
"Diehard" battery of tests, STS (v1.6) from NIST FIPS, Knuth's tests,
and more.  Check the documentation for complete list of the tests and
references where possible. It is intended to be the "Swiss army knife of
random number testers", or "the last suite of random number testers
you'll ever wear".

########################################################################
# LIBRARY: This is the basic dieharder library
########################################################################

%package libs
Summary:        A library of random number generator tests and timing routines
Group:          Development/C

%description libs

libdieharder is the core library of dieharder designed to be "the last
suite of random number testers you'll ever wear".  It can test any of
its many prebuilt and library linked generators (basically all of those
in the Gnu Scientific Library plus a number of others from various
sources) or a potentially random data-set in either an ASCII-formatted
or raw (presumed 32 bit unsigned int) binary file.  It is fairly
straightforward to wrap new software generators for testing, or to add
hardware generators that have a software interface for testing, and the
file input method permits pretty much any software or hardware RNG to be
tested using libdieharder calls.

libdieharder has as a design goal the full encapsulation in an
extensible shell of basically all the random number tests: George
Marsaglia's "Diehard" battery of tests, STS (v1.6) from NIST FIPS,
Knuth's tests, and more.  Check the documentation for complete list.  


%package devel
Summary: A library of random number generator tests and timing routines
Group: Development/C
Requires:  %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}


########################################################################
# The main section common to all builds.
########################################################################
%prep
%setup -q

%build
%configure
###SMP build is not working
###make %{?_smp_mflags} V=1
make V=1

# Build pdf manual
pushd manual
make


%check
make check


%install
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"
rm -rf %{buildroot}%{_libdir}/libdieharder.la
rm -rf %{buildroot}%{_libdir}/libdieharder.a

########################################################################
# Command to execute post install or uninstall of libdieharder
########################################################################
%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%doc ChangeLog Copyright README COPYING NOTES %{name}.html manual/%{name}.pdf

%files libs
%doc libdieharder/COPYING libdieharder/NOTES libdieharder/README
%{_libdir}/*.so.*
%{_mandir}/man3/lib%{name}.*

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.31.1-alt1_7
- update to new release by fcimport

* Wed Dec 19 2012 Igor Vlasenko <viy@altlinux.ru> 3.31.1-alt1_6
- fc import

